/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */
#pragma once

#include <gint/display.h>

#define MAX_PARTICLES 64

struct Particle {
	bopti_image_t *texture;
	int x;
	int y;
	int frame_width;
	int frame_height;
	int frame_duration;
	int frame;
	int life_ini;
	int life;
	int looping;
};

void particles_init(void);
void particles_update(void);
void particles_draw(void);
void particle_create(bopti_image_t *texture, int x, int y,
                     int frame_width, int frame_duration,
                     int particles);
