/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */

#include "titlescreen.h"
#include "conf.h"
#include <gint/display.h>

void titlescreen_draw(struct TitleScreen titlescreen)
{
	dprint_opt(DWIDTH / 2, DHEIGHT * 1 / 3, C_WHITE, C_NONE,
		   DTEXT_CENTER, DTEXT_MIDDLE, GAME_NAME);
	dprint_opt(DWIDTH / 2, DHEIGHT * 2 / 3, C_WHITE, C_NONE,
	           DTEXT_CENTER, DTEXT_MIDDLE, "Press Shift");
	dprint_opt(DWIDTH / 2, DHEIGHT - 2, C_WHITE, C_NONE,
		   DTEXT_CENTER, DTEXT_BOTTOM, "Game by KikooDX (2021) - " VERSION);
}
